Overview
PUT
/chat/chat-rich-content/{id}chatUpdate chat_rich_content
Replace a record in chat-rich-content by id.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- idpathstring
Request body
application/json · optional
- ecosystemIdoptionalstring
- messageIdoptionalstring
- displayOrderoptionalinteger
- kindoptionalstring
- payloadoptionalstring
Example
{
"ecosystemId": "string",
"messageId": "string",
"displayOrder": 0,
"kind": "string",
"payload": "string"
}Responses
200
chat_rich_content
- idstring
- ecosystemIdstring
- messageIdstring
- displayOrderinteger
- kindstring
- payloadstring
- createdAtstring
- updatedAtstring
Example
{
"id": "string",
"ecosystemId": "string",
"messageId": "string",
"displayOrder": 0,
"kind": "string",
"payload": "string",
"createdAt": "string",
"updatedAt": "string"
}400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X PUT "https://api.agenticdeveloperhub.com/chat/chat-rich-content/{id}" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"ecosystemId": "string",
"messageId": "string",
"displayOrder": 0,
"kind": "string",
"payload": "string"
}'JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/chat/chat-rich-content/{id}", {
method: "PUT",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: "{\n \"ecosystemId\": \"string\",\n \"messageId\": \"string\",\n \"displayOrder\": 0,\n \"kind\": \"string\",\n \"payload\": \"string\"\n}",
});
const data = await res.json();